> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pingmee.co.il/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Workflows

> Returns the workflow data.



## OpenAPI

````yaml POST /workflows
openapi: 3.1.0
info:
  title: Pingmee API
  description: A complete guide to Pingmee micro service architecture.
  version: 1.0.0
servers:
  - url: https://api.pingmee.co.il
security:
  - cookieAuth: []
    ApiKeyAuth: []
paths:
  /workflows:
    servers:
      - url: https://workflows.pingmee.co.il
        description: Workflows service
    post:
      description: Returns the workflow data.
      requestBody:
        description: Request the minimal workflow dataset.
        content:
          application/json:
            schema:
              type: object
              required:
                - getAllWorkflowsMinimalData
              properties:
                getAllWorkflowsMinimalData:
                  type: boolean
                  description: >-
                    When true, returns only the minimal workflow data required
                    by the client cache.
                  default: true
                  example: true
              additionalProperties: false
        required: true
      responses:
        '200':
          description: Minimal workflow list
          content:
            application/json:
              schema:
                type: object
                required:
                  - result
                properties:
                  result:
                    type: array
                    items:
                      $ref: '#/components/schemas/Workflow'
                additionalProperties: false
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Workflow:
      type: object
      required:
        - id
        - name
      properties:
        id:
          type: string
          description: Workflow identifier.
        name:
          type: string
          description: Workflow name.
      additionalProperties: false
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: string
        message:
          type: string
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: header
      name: Cookie
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````